__gnu_cxx::__mt_alloc_base< _Tp >(3cxx)

NAME
__gnu_cxx::__mt_alloc_base< _Tp > - Base class for _Tp dependent member functions.

SYNOPSIS

#include <mt_allocator.h>

Inherited by __gnu_cxx::__mt_alloc< _Tp, _Poolp >.

  Public Types

typedef const _Tp * const_pointer
typedef const _Tp & const_reference
typedef ptrdiff_t difference_type
typedef _Tp * pointer
typedef std::true_type propagate_on_container_move_assignment
typedef _Tp & reference
typedef size_t size_type
typedef _Tp value_type

  Public Member Functions

const_pointer address (const_reference __x) const noexcept
pointer address (reference __x) const noexcept
template<typename _Up , typename... _Args> void construct (_Up *__p, _Args &&... __args)
template<typename _Up > void destroy (_Up *__p)
size_type max_size () const noexcept

Detailed Description

  template<typename _Tp>
class __gnu_cxx::__mt_alloc_base< _Tp >"Base class for _Tp dependent member functions.

Definition at line 570 of file mt_allocator.h.

Member Typedef Documentation

  template<typename _Tp > typedef const _Tp* __gnu_cxx::__mt_alloc_base< _Tp >::const_pointer

Definition at line 576 of file mt_allocator.h.

  template<typename _Tp > typedef const _Tp& __gnu_cxx::__mt_alloc_base< _Tp >::const_reference

Definition at line 578 of file mt_allocator.h.

  template<typename _Tp > typedef ptrdiff_t __gnu_cxx::__mt_alloc_base< _Tp >::difference_type

Definition at line 574 of file mt_allocator.h.

  template<typename _Tp > typedef _Tp* __gnu_cxx::__mt_alloc_base< _Tp >::pointer

Definition at line 575 of file mt_allocator.h.

  template<typename _Tp > typedef std::true_type __gnu_cxx::__mt_alloc_base< _Tp >::propagate_on_container_move_assignment

Definition at line 584 of file mt_allocator.h.

  template<typename _Tp > typedef _Tp& __gnu_cxx::__mt_alloc_base< _Tp >::reference

Definition at line 577 of file mt_allocator.h.

  template<typename _Tp > typedef size_t __gnu_cxx::__mt_alloc_base< _Tp >::size_type

Definition at line 573 of file mt_allocator.h.

  template<typename _Tp > typedef _Tp __gnu_cxx::__mt_alloc_base< _Tp >::value_type

Definition at line 579 of file mt_allocator.h.

Member Function Documentation

  template<typename _Tp > const_pointer __gnu_cxx::__mt_alloc_base< _Tp >::address (const_reference __x) const [inline], [noexcept]

Definition at line 592 of file mt_allocator.h.

  template<typename _Tp > pointer __gnu_cxx::__mt_alloc_base< _Tp >::address (reference __x) const [inline], [noexcept]

Definition at line 588 of file mt_allocator.h.

  template<typename _Tp > template<typename _Up , typename... _Args> void __gnu_cxx::__mt_alloc_base< _Tp >::construct (_Up * __p, _Args &&... __args) [inline]

Definition at line 602 of file mt_allocator.h.

  template<typename _Tp > template<typename _Up > void __gnu_cxx::__mt_alloc_base< _Tp >::destroy (_Up * __p) [inline]

Definition at line 607 of file mt_allocator.h.

  template<typename _Tp > size_type __gnu_cxx::__mt_alloc_base< _Tp >::max_size () const [inline], [noexcept]

Definition at line 596 of file mt_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.